<?php

namespace QUI\ERP\Products\Affiliate;

use QUI;
use QUI\ERP\Products\Product\Types\AbstractType;

/**
 * Class ProductType
 *
 * Affiliate product type.
 */
class ProductType extends AbstractType
{
    /**
     * @param QUI\Locale $Locale
     * @return string
     */
    public static function getTypeTitle($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/affiliate-products', 'product_type.title');
    }

    /**
     * @param QUI\Locale $Locale
     * @return string
     */
    public static function getTypeDescription($Locale = null): string
    {
        if ($Locale === null) {
            $Locale = QUI::getLocale();
        }

        return $Locale->get('quiqqer/affiliate-products', 'product_type.description');
    }
}